#ifndef BL_CHARG_CONTROL_H_
#define BL_CHARG_CONTROL_H_

#include "chargControlTypes.h"
#include "FM_TIM.h"
#include "comm_types.h"

#define PI_CONTROL_MAX 0.03f
#define PI_CONTROL_MIN -0.03f

BOOL getChargControlFlag(void);
void setChargControlFlag(BOOL state);
void bl_chargControl(void);
void endChargWork(void);
void stopChargWork(void);
void beginChargWork(void);
void startChargWork(void);

extern void chargControl(void);

#endif